%define upstream_name    Sereal-Encoder
%define upstream_version 3.014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Fast, compact, powerful binary serialization
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sereal/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker) >= 7.0.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.210.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sereal::Decoder) >= 3.0.0
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warn)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
Devel::CheckLib is a perl module that checks whether a particular C library
and its headers are available.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 3.14.0-2.mga6
+ Revision: 1033032
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 3.14.0-1.mga6
+ Revision: 923926
- update to 3.014

* Tue Jul 07 2015 sander85 <sander85> 3.5.0-1.mga6
+ Revision: 852476
- update to 3.005

* Fri Jun 26 2015 tv <tv> 3.2.0-4.mga6
+ Revision: 845258
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 3.2.0-3.mga6
+ Revision: 841346
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 3.2.0-2.mga5
+ Revision: 743292
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 3.2.0-1.mga5
+ Revision: 731962
- imported package perl-Sereal-Encoder


* Tue Sep 30 2014 Thierry Vignaud <tv@mageia.org> 3.2.0-1.mga5
- initial mageia release, generated with cpan2dist
